## org.apache.bcel.generic
Class PUTSTATIC

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.CPInstruction
                  |
                  +--org.apache.bcel.generic.FieldOrMethod
                        |
                        +--org.apache.bcel.generic.FieldInstruction
                              |
                              +--org.apache.bcel.generic.PUTSTATIC

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, IndexedInstruction, LoadClass, PopInstruction, java.io.Serializable, StackConsumer, TypedInstruction

public class PUTSTATIC
extends FieldInstruction
implements ExceptionThrower, PopInstruction

PUTSTATIC - Put static field in class

    Stack: ..., objectref, value -> ...

OR

    Stack: ..., objectref, value.word1, value.word2 -> ...

Version:
  $Id: PUTSTATIC.java,v 1.1.1.1 2001/10/29 20:00:25 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`PUTSTATIC(int index)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`int` `consumeStack(ConstantPoolGen cpg)` This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
`java.lang.Class[]` `getExceptions()`

Methods inherited from class org.apache.bcel.generic.FieldInstruction
`getFieldName, getFieldSize, getFieldType, getType, toString`

Methods inherited from class org.apache.bcel.generic.FieldOrMethod
`getClassName, getClassType, getLoadClassType, getName, getSignature`

Methods inherited from class org.apache.bcel.generic.CPInstruction
`dump, getIndex, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`copy, getLength, getOpcode, produceStack, readInstruction, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PUTSTATIC

    public PUTSTATIC(int index)

Method Detail

### consumeStack

    public int consumeStack(ConstantPoolGen cpg)

  Description copied from class: `Instruction`
  This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
  Specified by:
    `consumeStack` in interface `StackConsumer`
  Overrides:
    `consumeStack` in class `Instruction`
  Following copied from interface: `org.apache.bcel.generic.StackConsumer`
  Returns:
    how many words are consumed from stack

### getExceptions

    public java.lang.Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
  Overrides:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object